#!/bin/sh

echo "Further liberating OpenJDK..."

# PRx denotes bug x in the IcedTea bug database (http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=x)
# Sx denotes bug x in the Sun bug database (http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=x)

# PR146/S6713083
# Remove binaries
rm -vf \
  jdk8/jdk/test/sun/management/windows/revokeall.exe \
  jdk8/jdk/test/sun/management/jmxremote/bootstrap/linux-i586/launcher \
  jdk8/jdk/test/sun/management/jmxremote/bootstrap/solaris-sparc/launcher \
  jdk8/jdk/test/sun/management/jmxremote/bootstrap/solaris-i586/launcher

rm -vf \
  jdk8/jdk/test/java/nio/channels/spi/SelectorProvider/inheritedChannel/lib/linux-i586/libLauncher.so \
  jdk8/jdk/test/java/nio/channels/spi/SelectorProvider/inheritedChannel/lib/solaris-i586/libLauncher.so \
  jdk8/jdk/test/java/nio/channels/spi/SelectorProvider/inheritedChannel/lib/solaris-sparc/libLauncher.so \
  jdk8/jdk/test/java/nio/channels/spi/SelectorProvider/inheritedChannel/lib/solaris-sparcv9/libLauncher.so \
  jdk8/jdk/test/tools/launcher/lib/i386/lib32/lib32/liblibrary.so \
  jdk8/jdk/test/tools/launcher/lib/i386/lib32/liblibrary.so \
  jdk8/jdk/test/tools/launcher/lib/sparc/lib32/lib32/liblibrary.so \
  jdk8/jdk/test/tools/launcher/lib/sparc/lib32/liblibrary.so \
  jdk8/jdk/test/tools/launcher/lib/sparc/lib64/lib64/liblibrary.so \
  jdk8/jdk/test/tools/launcher/lib/sparc/lib64/liblibrary.so

rm -vf \
  jdk8/jdk/test/java/util/Locale/data/deflocale.exe \
  jdk8/jdk/test/java/util/Locale/data/deflocale.jds3 \
  jdk8/jdk/test/java/util/Locale/data/deflocale.rhel4 \
  jdk8/jdk/test/java/util/Locale/data/deflocale.sh \
  jdk8/jdk/test/java/util/Locale/data/deflocale.sol10 \
  jdk8/jdk/test/java/util/Locale/data/deflocale.winvista \
  jdk8/jdk/test/java/util/Locale/data/deflocale.winxp \

# Remove test sources with questionable license headers.
rm -vf \
   jdk8/jdk/test/java/util/ResourceBundle/Bug4168625Resource3.java \
   jdk8/jdk/test/java/util/ResourceBundle/Bug4168625Resource3_en_IE.java \
   jdk8/jdk/test/java/util/ResourceBundle/Bug4165815Test.java \
   jdk8/jdk/test/java/util/ResourceBundle/Bug4177489_Resource_jf.java \
   jdk8/jdk/test/java/util/ResourceBundle/Bug4168625Resource3_en_CA.java \
   jdk8/jdk/test/java/util/ResourceBundle/Bug4168625Getter.java \
   jdk8/jdk/test/java/util/ResourceBundle/Bug4177489Test.java \
   jdk8/jdk/test/java/util/ResourceBundle/Bug4168625Resource.java \
   jdk8/jdk/test/java/util/ResourceBundle/Bug4168625Resource2.java \
   jdk8/jdk/test/java/util/ResourceBundle/Bug4168625Resource3_en_US.java \
   jdk8/jdk/test/java/util/ResourceBundle/Bug4083270Test.java \
   jdk8/jdk/test/java/util/ResourceBundle/Bug4168625Resource3_en.java \
   jdk8/jdk/test/java/util/ResourceBundle/Bug4177489_Resource.java \
   jdk8/jdk/test/java/util/ResourceBundle/Bug4168625Test.java \
   jdk8/jdk/test/java/util/ResourceBundle/Bug4168625Resource2_en_US.java \
   jdk8/jdk/test/java/util/ResourceBundle/Bug4168625Class.java \
   jdk8/jdk/test/java/util/Locale/Bug4175998Test.java \
   jdk8/jdk/test/java/util/ResourceBundle/RBTestFmwk.java \
   jdk8/jdk/test/java/util/ResourceBundle/TestResource_fr.java \
   jdk8/jdk/test/java/util/ResourceBundle/Bug4179766Resource.java \
   jdk8/jdk/test/java/util/ResourceBundle/Bug4179766Getter.java \
   jdk8/jdk/test/java/util/ResourceBundle/Bug4179766Class.java \
   jdk8/jdk/test/java/util/ResourceBundle/TestResource.java \
   jdk8/jdk/test/java/util/ResourceBundle/FakeTestResource.java \
   jdk8/jdk/test/java/util/ResourceBundle/TestResource_de.java \
   jdk8/jdk/test/java/util/ResourceBundle/TestBug4179766.java \
   jdk8/jdk/test/java/util/ResourceBundle/TestResource_fr_CH.java \
   jdk8/jdk/test/java/util/ResourceBundle/ResourceBundleTest.java \
   jdk8/jdk/test/java/util/ResourceBundle/TestResource_it.java \
   jdk8/jdk/test/java/util/Locale/PrintDefaultLocale.java \
   jdk8/jdk/test/java/util/Locale/LocaleTest.java \
   jdk8/jdk/test/java/util/Locale/LocaleTestFmwk.java \
   jdk8/jdk/test/java/util/Locale/Bug4184873Test.java \
   jdk8/jdk/test/sun/text/resources/LocaleDataTest.java

# Remove J2DBench sources, some of which have questionable license
# headers.
rm -rvf \
  jdk8/jdk/src/share/demo/java2d/J2DBench

# BEGIN Debian/Ubuntu additions

# binary files
rm -vf \
  jdk8/jdk/test/sun/net/idn/nfscis.spp

# TODO
#$ find jdk8 -name '*.jar' -o -name '*.class'|grep -v test

# PR140, S6695776
# Also see patches/icedtea-jscheme.patch
rm -rvf jdk8/corba/src/share/classes/com/sun/tools/corba/se/logutil/lib
rm -rvf jdk8/corba/src/share/classes/com/sun/tools/corba/se/logutil/scripts

# PR139, S6710791
rm -vf \
  jdk8/hotspot/agent/kk/src/share/lib/maf-1_0.jar \
  jdk8/hotspot/agent/kk/src/share/lib/jlfgr-1_0.jar \

# END Debian/Ubuntu additions

echo "Removing support for proprietary SNMP plug"
rm -rvf jdk8/jdk/src/share/classes/sun/management/snmp
rm -rvf jdk8/jdk/src/share/classes/com/sun/jmx/snmp
rm -rvf jdk8/jdk/test/com/sun/jmx/snmp

echo "Removing registration tests"
rm -rvf jdk8/jdk/test/com/sun/servicetag

echo "Removing EC source code we don't build"
rm -vf jdk8/jdk/src/share/classes/sun/security/ec/ECDHKeyAgreement.java
rm -vf jdk8/jdk/src/share/classes/sun/security/ec/ECDSASignature.java
rm -vf jdk8/jdk/src/share/classes/sun/security/ec/ECKeyPairGenerator.java
rm -vf jdk8/jdk/src/share/classes/sun/security/ec/SunEC.java
rm -vf jdk8/jdk/src/share/classes/sun/security/ec/SunECEntries.java
rm -rvf jdk8/jdk/src/share/native/sun/security/ec
rm -rvf jdk8/jdk/make/sun/security/ec
